Index: smmp.pyf
===================================================================
--- smmp.pyf	(revision 8d0e6d6b0d1007b411efbb816ee34bd6081f8aab)
+++ smmp.pyf	(revision ffd2d46888ff96b67701d9b306ce4aac68b5bd99)
@@ -858,31 +865,603 @@
             integer :: upchswitch
             double precision :: bgsprob
-            integer*4 dimension(10) :: nvwml
-            integer*4 dimension(10) :: ivwml1
-            integer*4 dimension(10) :: n14ml
-            integer*4 dimension(10) :: i14ml1
-            integer*4 dimension(2600) :: ivwat1
-            integer*4 dimension(2600) :: ivwat2
-            integer*4 dimension(2600) :: i14at1
-            integer*4 dimension(2600) :: i14at2
-            integer*4 dimension(10400) :: lvwat1
-            integer*4 dimension(10400) :: lvwat2
-            integer*4 dimension(10400) :: l14at
-            integer*4 dimension(10400) :: ixatvw
-            integer*4 dimension(10400) :: ixat14
-            real*8 dimension(800) :: olvlvr
-            real*8 dimension(800) :: vlvr
-            real*8 dimension(800) :: axvr
-            real*8 :: beta
-            real*8 dimension(18,18) :: c_f
-            real*8 dimension(18,18) :: a_f
-            real*8 dimension(4,6) :: chb_f
-            real*8 dimension(4,6) :: ahb_f
-            real*8 dimension(19) :: e0to_f
-            real*8 dimension(19) :: sgto_f
-            real*8 dimension(19) :: rnto_f
-            real*8 :: plt_f
-            real*8 :: slp_f
-            real*8 :: cohb_f
+            integer dimension(10) :: nvwml
+            integer dimension(10) :: ivwml1
+            integer dimension(10) :: n14ml
+            integer dimension(10) :: i14ml1
+            integer dimension(2600) :: ivwat1
+            integer dimension(2600) :: ivwat2
+            integer dimension(2600) :: i14at1
+            integer dimension(2600) :: i14at2
+            integer dimension(10400) :: lvwat1
+            integer dimension(10400) :: lvwat2
+            integer dimension(10400) :: l14at
+            integer dimension(10400) :: ixatvw
+            integer dimension(10400) :: ixat14
+            double precision dimension(800) :: olvlvr
+            double precision dimension(800) :: vlvr
+            double precision dimension(800) :: axvr
+            double precision :: beta
+            double precision dimension(18,18) :: c_f
+            double precision dimension(18,18) :: a_f
+            double precision dimension(4,6) :: chb_f
+            double precision dimension(4,6) :: ahb_f
+            double precision dimension(19) :: e0to_f
+            double precision dimension(19) :: sgto_f
+            double precision dimension(19) :: rnto_f
+            double precision :: plt_f
+            double precision :: slp_f
+            double precision :: cohb_f
+            real*8 :: enysol
+            common /v_sol/ vdvol,asa,asap,asah
+            common /atm_r/ cgat,xbaat,ybaat,zbaat,baat,snbaat,csbaat,xtoat,ytoat,ztoat,toat,sntoat,cstoat,blat,xat,yat,zat
+            common /cont_i_j/ ijcont,ind_alf
+            common /sche_l/ do_s,ac_s
+            common /rstr_c/ nmrt,nmvrrt
+            common /mol_par/ nvr
+            common /sol/ coef_sl,rad_vdw
+            common /ressurf/ surfres
+            common /h_bond/ ntyhb,ixtyhb,nutyhb,mmhb
+            common /atm_c/ nmat
+            common /fil_i/ lunlib,lunseq,lunchg,lunvar,lunrst
+            common /refstr/ isrfvr
+            common /rstr_r/ pbrt,vuvrrt,dvvrrt
+            common /atm_i/ ityat,iowat,iyowat,nbdat,ibdat,iybdat,ixmsat
+            common /sche_r/ ehm,atpl,efel,emin,rmin,chb_s,ahb_s,e0to_s,sgto_s,rnto_s,eps_s
+            common /tes/ spoint
+            common /flex_l/ do_f,ac_f
+            common /fil_c/ reslib,seqfil,chgfil,varfil,rstfil
+            common /mol_i/ ntlml,irsml1,irsml2,ivrml1,nvrml,imsml1,nmsml,iadml1,nadml,ixrfpt,ixatp,ireg
+            common /help_r/ blath,baath,toath,cgath
+            common /jref/ iref,nci
+            common /epar_l/ flex,tesgrd,sh2,epsd,ientyp
+            common /rgy/ rgyh,rgyp
+            common /con_i/ idloa,idloz,idupa,idupz
+            common /paral/ myrank,no,my_mpi_comm,workperprocessor
+            common /help_c/ nmath,nmvrh
+            common /help_i/ ityath,iowath,iyowath,nbdath,ibdath,iybdath,ityvrh,iclvrh,iatvrh
+            common /res_c/ seq
+            common /solvent/ rvdw,sigma
+            common /deriv/ gradan
+            common /epar_i/ ihbty
+            common /pnt/ npnt
+            common /mol_c/ nmml
+            common /epar_r/ cij,aij,a14,chb,ahb,e0to,sgto,rnto,esnto,conv,plt,slp,cohb
+            common /res_i/ iatrs1,iatrs2,ixatrs,ivrrs1,nvrrs
+            common /rstr_i/ ntlrt,ntlsu,i1vrrt,i2vrrt,iprtsu,i1rtsu,nrtsu,i1vrsu,i2vrsu,ipvrsu
+            common /mol_r/ rfpt,gbpr,xrfax,yrfax,zrfax
+            common /var_l/ fxvr
+            common /eny_r/ eyel,eyvw,eyhb,eyvr,eysm,eysl,eyrg,eyslh,eyslp,eyab,eysmi,eyhbi,eyeli,eyvwi,gdeyvr,gdeyrg,gdeysl,gdeygb,wtey,wtrg
+            common /var_i/ iatvr,ityvr,iclvr,iorvr,imsvr1,imsvr2,latms1,latms2,iadvr1,iadvr2,ladvr,idvr
+            common /counter/ enysolct
+            common /var_c/ nmvr
+            common /bounds/ boxsize
+            common /commonrandom/ seed
+            common /zimme/ zimm
+            common /isolty/ itysol,isolscl
+            common /abgncor/ rsstrg
+            common /rsnm_c/ rsnmcd,onltcd
+            common /updchois/ rndord,upchswitch,bgsprob
+            common /eny_i/ nvwml,ivwml1,n14ml,i14ml1,ivwat1,ivwat2,i14at1,i14at2,lvwat1,lvwat2,l14at,ixatvw,ixat14
+            common /var_r/ olvlvr,vlvr,axvr
+            common /bet/ beta
+            common /flex_r/ c_f,a_f,chb_f,ahb_f,e0to_f,sgto_f,rnto_f,plt_f,slp_f,cohb_f
+        end function enysol
+        subroutine setvar(nml,vlvrx) ! in :smmp:setvar.f
+            integer intent(in) :: nml
+            double precision dimension(800) :: vlvrx
+            double precision :: vdvol
+            double precision :: asa
+            double precision :: asap
+            double precision :: asah
+            integer dimension(2600) :: cgat
+            double precision dimension(2600) :: xbaat
+            double precision dimension(2600) :: ybaat
+            double precision dimension(2600) :: zbaat
+            double precision dimension(2600) :: baat
+            double precision dimension(2600) :: snbaat
+            double precision dimension(2600) :: csbaat
+            double precision dimension(2600) :: xtoat
+            double precision dimension(2600) :: ytoat
+            double precision dimension(2600) :: ztoat
+            double precision dimension(2600) :: toat
+            double precision dimension(2600) :: sntoat
+            double precision dimension(2600) :: cstoat
+            double precision dimension(2600) :: blat
+            double precision dimension(2602) :: xat
+            double precision dimension(2602) :: yat
+            double precision dimension(2602) :: zat
+            integer dimension(100,100) :: ijcont
+            integer dimension(100) :: ind_alf
+            logical dimension(18) :: do_s
+            logical dimension(18) :: ac_s
+            character dimension(500,4) :: nmrt
+            character dimension(1000,3) :: nmvrrt
+            integer :: nvr
+            double precision dimension(9,18) :: coef_sl
+            double precision dimension(9,18) :: rad_vdw
+            double precision dimension(100) :: surfres
+            integer :: ntyhb
+            integer dimension(100) :: ixtyhb
+            integer dimension(100) :: nutyhb
+            integer dimension(10,10) :: mmhb
+            character dimension(2600,4) :: nmat
+            integer :: lunlib
+            integer :: lunseq
+            integer :: lunchg
+            integer :: lunvar
+            integer :: lunrst
+            logical dimension(800) :: isrfvr
+            double precision dimension(500) :: pbrt
+            double precision dimension(1000) :: vuvrrt
+            double precision dimension(1000) :: dvvrrt
+            integer dimension(2600) :: ityat
+            integer dimension(2600) :: iowat
+            integer dimension(2600) :: iyowat
+            integer dimension(2600) :: nbdat
+            integer dimension(3,2600) :: ibdat
+            integer dimension(3,2600) :: iybdat
+            integer dimension(2600) :: ixmsat
+            double precision :: ehm
+            double precision dimension(18) :: atpl
+            double precision dimension(18) :: efel
+            double precision dimension(18) :: emin
+            double precision dimension(18) :: rmin
+            double precision dimension(4,6) :: chb_s
+            double precision dimension(4,6) :: ahb_s
+            double precision dimension(19) :: e0to_s
+            double precision dimension(19) :: sgto_s
+            double precision dimension(19) :: rnto_s
+            double precision :: eps_s
+            double precision dimension(2000,3) :: spoint
+            logical dimension(18) :: do_f
+            logical dimension(18) :: ac_f
+            character*80 :: reslib
+            character*80 :: seqfil
+            character*80 :: chgfil
+            character*80 :: varfil
+            character*80 :: rstfil
+            integer :: ntlml
+            integer dimension(10) :: irsml1
+            integer dimension(10) :: irsml2
+            integer dimension(10) :: ivrml1
+            integer dimension(10) :: nvrml
+            integer dimension(10) :: imsml1
+            integer dimension(10) :: nmsml
+            integer dimension(10) :: iadml1
+            integer dimension(10) :: nadml
+            integer dimension(3,10) :: ixrfpt
+            integer dimension(2600) :: ixatp
+            integer :: ireg
+            double precision dimension(100) :: blath
+            double precision dimension(100) :: baath
+            double precision dimension(100) :: toath
+            double precision dimension(100) :: cgath
+            integer dimension(100,100) :: iref
+            integer :: nci
+            logical :: flex
+            logical :: tesgrd
+            logical :: sh2
+            logical :: epsd
+            integer :: ientyp
+            double precision :: rgyh
+            double precision :: rgyp
+            integer :: idloa
+            integer :: idloz
+            integer :: idupa
+            integer :: idupz
+            integer :: myrank
+            integer :: no
+            integer :: my_mpi_comm
+            integer dimension(11,2049) :: workperprocessor
+            character dimension(100,4) :: nmath
+            character dimension(100,3) :: nmvrh
+            integer dimension(100) :: ityath
+            integer dimension(100) :: iowath
+            integer dimension(100) :: iyowath
+            integer dimension(100) :: nbdath
+            integer dimension(3,100) :: ibdath
+            integer dimension(3,100) :: iybdath
+            integer dimension(100) :: ityvrh
+            integer dimension(100) :: iclvrh
+            integer dimension(100) :: iatvrh
+            character dimension(100,4) :: seq
+            double precision dimension(2600) :: rvdw
+            double precision dimension(2600) :: sigma
+            double precision dimension(2600,3) :: gradan
+            integer dimension(18,18) :: ihbty
+            integer :: npnt
+            character dimension(10,80) :: nmml
+            double precision dimension(18,18) :: cij
+            double precision dimension(18,18) :: aij
+            double precision dimension(18,18) :: a14
+            double precision dimension(18,18) :: chb
+            double precision dimension(18,18) :: ahb
+            double precision dimension(19) :: e0to
+            double precision dimension(19) :: sgto
+            double precision dimension(19) :: rnto
+            double precision dimension(19) :: esnto
+            double precision :: conv
+            double precision :: plt
+            double precision :: slp
+            double precision :: cohb
+            integer dimension(100) :: iatrs1
+            integer dimension(100) :: iatrs2
+            integer dimension(100) :: ixatrs
+            integer dimension(100) :: ivrrs1
+            integer dimension(100) :: nvrrs
+            integer :: ntlrt
+            integer :: ntlsu
+            integer dimension(500) :: i1vrrt
+            integer dimension(500) :: i2vrrt
+            integer dimension(4800) :: iprtsu
+            integer dimension(800) :: i1rtsu
+            integer dimension(800) :: nrtsu
+            integer dimension(800) :: i1vrsu
+            integer dimension(800) :: i2vrsu
+            integer dimension(800) :: ipvrsu
+            double precision dimension(3,10) :: rfpt
+            double precision dimension(6,10) :: gbpr
+            double precision dimension(3,10) :: xrfax
+            double precision dimension(3,10) :: yrfax
+            double precision dimension(3,10) :: zrfax
+            logical dimension(800) :: fxvr
+            double precision :: eyel
+            double precision :: eyvw
+            double precision :: eyhb
+            double precision :: eyvr
+            double precision :: eysm
+            double precision :: eysl
+            double precision :: eyrg
+            double precision :: eyslh
+            double precision :: eyslp
+            double precision :: eyab
+            double precision :: eysmi
+            double precision :: eyhbi
+            double precision :: eyeli
+            double precision :: eyvwi
+            double precision dimension(800) :: gdeyvr
+            double precision dimension(800) :: gdeyrg
+            double precision dimension(800) :: gdeysl
+            double precision dimension(60) :: gdeygb
+            double precision :: wtey
+            double precision :: wtrg
+            integer dimension(800) :: iatvr
+            integer dimension(800) :: ityvr
+            integer dimension(800) :: iclvr
+            integer dimension(800) :: iorvr
+            integer dimension(800) :: imsvr1
+            integer dimension(800) :: imsvr2
+            integer dimension(2400) :: latms1
+            integer dimension(2400) :: latms2
+            integer dimension(800) :: iadvr1
+            integer dimension(800) :: iadvr2
+            integer dimension(800) :: ladvr
+            integer dimension(800) :: idvr
+            integer :: enysolct
+            character dimension(800,3) :: nmvr
+            double precision :: boxsize
+            integer :: seed
+            character*mxrs :: zimm
+            integer :: itysol
+            logical :: isolscl
+            double precision dimension(100) :: rsstrg
+            character dimension(35,4) :: rsnmcd
+            character dimension(35) :: onltcd
+            logical :: rndord
+            integer :: upchswitch
+            double precision :: bgsprob
+            integer dimension(10) :: nvwml
+            integer dimension(10) :: ivwml1
+            integer dimension(10) :: n14ml
+            integer dimension(10) :: i14ml1
+            integer dimension(2600) :: ivwat1
+            integer dimension(2600) :: ivwat2
+            integer dimension(2600) :: i14at1
+            integer dimension(2600) :: i14at2
+            integer dimension(10400) :: lvwat1
+            integer dimension(10400) :: lvwat2
+            integer dimension(10400) :: l14at
+            integer dimension(10400) :: ixatvw
+            integer dimension(10400) :: ixat14
+            double precision dimension(800) :: olvlvr
+            double precision dimension(800) :: vlvr
+            double precision dimension(800) :: axvr
+            double precision :: beta
+            double precision dimension(18,18) :: c_f
+            double precision dimension(18,18) :: a_f
+            double precision dimension(4,6) :: chb_f
+            double precision dimension(4,6) :: ahb_f
+            double precision dimension(19) :: e0to_f
+            double precision dimension(19) :: sgto_f
+            double precision dimension(19) :: rnto_f
+            double precision :: plt_f
+            double precision :: slp_f
+            double precision :: cohb_f
+            common /v_sol/ vdvol,asa,asap,asah
+            common /atm_r/ cgat,xbaat,ybaat,zbaat,baat,snbaat,csbaat,xtoat,ytoat,ztoat,toat,sntoat,cstoat,blat,xat,yat,zat
+            common /cont_i_j/ ijcont,ind_alf
+            common /sche_l/ do_s,ac_s
+            common /rstr_c/ nmrt,nmvrrt
+            common /mol_par/ nvr
+            common /sol/ coef_sl,rad_vdw
+            common /ressurf/ surfres
+            common /h_bond/ ntyhb,ixtyhb,nutyhb,mmhb
+            common /atm_c/ nmat
+            common /fil_i/ lunlib,lunseq,lunchg,lunvar,lunrst
+            common /refstr/ isrfvr
+            common /rstr_r/ pbrt,vuvrrt,dvvrrt
+            common /atm_i/ ityat,iowat,iyowat,nbdat,ibdat,iybdat,ixmsat
+            common /sche_r/ ehm,atpl,efel,emin,rmin,chb_s,ahb_s,e0to_s,sgto_s,rnto_s,eps_s
+            common /tes/ spoint
+            common /flex_l/ do_f,ac_f
+            common /fil_c/ reslib,seqfil,chgfil,varfil,rstfil
+            common /mol_i/ ntlml,irsml1,irsml2,ivrml1,nvrml,imsml1,nmsml,iadml1,nadml,ixrfpt,ixatp,ireg
+            common /help_r/ blath,baath,toath,cgath
+            common /jref/ iref,nci
+            common /epar_l/ flex,tesgrd,sh2,epsd,ientyp
+            common /rgy/ rgyh,rgyp
+            common /con_i/ idloa,idloz,idupa,idupz
+            common /paral/ myrank,no,my_mpi_comm,workperprocessor
+            common /help_c/ nmath,nmvrh
+            common /help_i/ ityath,iowath,iyowath,nbdath,ibdath,iybdath,ityvrh,iclvrh,iatvrh
+            common /res_c/ seq
+            common /solvent/ rvdw,sigma
+            common /deriv/ gradan
+            common /epar_i/ ihbty
+            common /pnt/ npnt
+            common /mol_c/ nmml
+            common /epar_r/ cij,aij,a14,chb,ahb,e0to,sgto,rnto,esnto,conv,plt,slp,cohb
+            common /res_i/ iatrs1,iatrs2,ixatrs,ivrrs1,nvrrs
+            common /rstr_i/ ntlrt,ntlsu,i1vrrt,i2vrrt,iprtsu,i1rtsu,nrtsu,i1vrsu,i2vrsu,ipvrsu
+            common /mol_r/ rfpt,gbpr,xrfax,yrfax,zrfax
+            common /var_l/ fxvr
+            common /eny_r/ eyel,eyvw,eyhb,eyvr,eysm,eysl,eyrg,eyslh,eyslp,eyab,eysmi,eyhbi,eyeli,eyvwi,gdeyvr,gdeyrg,gdeysl,gdeygb,wtey,wtrg
+            common /var_i/ iatvr,ityvr,iclvr,iorvr,imsvr1,imsvr2,latms1,latms2,iadvr1,iadvr2,ladvr,idvr
+            common /counter/ enysolct
+            common /var_c/ nmvr
+            common /bounds/ boxsize
+            common /commonrandom/ seed
+            common /zimme/ zimm
+            common /isolty/ itysol,isolscl
+            common /abgncor/ rsstrg
+            common /rsnm_c/ rsnmcd,onltcd
+            common /updchois/ rndord,upchswitch,bgsprob
+            common /eny_i/ nvwml,ivwml1,n14ml,i14ml1,ivwat1,ivwat2,i14at1,i14at2,lvwat1,lvwat2,l14at,ixatvw,ixat14
+            common /var_r/ olvlvr,vlvr,axvr
+            common /bet/ beta
+            common /flex_r/ c_f,a_f,chb_f,ahb_f,e0to_f,sgto_f,rnto_f,plt_f,slp_f,cohb_f
+        end subroutine setvar
+        subroutine minim(imin,maxit,eps) ! in :smmp:minim.f
+            integer*4 intent(in) :: imin
+            integer*4 intent(in) :: maxit
+            real*8 :: eps
+            double precision :: vdvol
+            double precision :: asa
+            double precision :: asap
+            double precision :: asah
+            integer dimension(2600) :: cgat
+            double precision dimension(2600) :: xbaat
+            double precision dimension(2600) :: ybaat
+            double precision dimension(2600) :: zbaat
+            double precision dimension(2600) :: baat
+            double precision dimension(2600) :: snbaat
+            double precision dimension(2600) :: csbaat
+            double precision dimension(2600) :: xtoat
+            double precision dimension(2600) :: ytoat
+            double precision dimension(2600) :: ztoat
+            double precision dimension(2600) :: toat
+            double precision dimension(2600) :: sntoat
+            double precision dimension(2600) :: cstoat
+            double precision dimension(2600) :: blat
+            double precision dimension(2602) :: xat
+            double precision dimension(2602) :: yat
+            double precision dimension(2602) :: zat
+            integer dimension(100,100) :: ijcont
+            integer dimension(100) :: ind_alf
+            logical dimension(18) :: do_s
+            logical dimension(18) :: ac_s
+            character dimension(500,4) :: nmrt
+            character dimension(1000,3) :: nmvrrt
+            integer :: nvr
+            double precision dimension(9,18) :: coef_sl
+            double precision dimension(9,18) :: rad_vdw
+            double precision dimension(100) :: surfres
+            integer :: ntyhb
+            integer dimension(100) :: ixtyhb
+            integer dimension(100) :: nutyhb
+            integer dimension(10,10) :: mmhb
+            character dimension(2600,4) :: nmat
+            integer :: lunlib
+            integer :: lunseq
+            integer :: lunchg
+            integer :: lunvar
+            integer :: lunrst
+            logical dimension(800) :: isrfvr
+            double precision dimension(500) :: pbrt
+            double precision dimension(1000) :: vuvrrt
+            double precision dimension(1000) :: dvvrrt
+            integer dimension(2600) :: ityat
+            integer dimension(2600) :: iowat
+            integer dimension(2600) :: iyowat
+            integer dimension(2600) :: nbdat
+            integer dimension(3,2600) :: ibdat
+            integer dimension(3,2600) :: iybdat
+            integer dimension(2600) :: ixmsat
+            double precision :: ehm
+            double precision dimension(18) :: atpl
+            double precision dimension(18) :: efel
+            double precision dimension(18) :: emin
+            double precision dimension(18) :: rmin
+            double precision dimension(4,6) :: chb_s
+            double precision dimension(4,6) :: ahb_s
+            double precision dimension(19) :: e0to_s
+            double precision dimension(19) :: sgto_s
+            double precision dimension(19) :: rnto_s
+            double precision :: eps_s
+            double precision dimension(2000,3) :: spoint
+            logical dimension(18) :: do_f
+            logical dimension(18) :: ac_f
+            character*80 :: reslib
+            character*80 :: seqfil
+            character*80 :: chgfil
+            character*80 :: varfil
+            character*80 :: rstfil
+            integer :: ntlml
+            integer dimension(10) :: irsml1
+            integer dimension(10) :: irsml2
+            integer dimension(10) :: ivrml1
+            integer dimension(10) :: nvrml
+            integer dimension(10) :: imsml1
+            integer dimension(10) :: nmsml
+            integer dimension(10) :: iadml1
+            integer dimension(10) :: nadml
+            integer dimension(3,10) :: ixrfpt
+            integer dimension(2600) :: ixatp
+            integer :: ireg
+            double precision dimension(100) :: blath
+            double precision dimension(100) :: baath
+            double precision dimension(100) :: toath
+            double precision dimension(100) :: cgath
+            integer dimension(100,100) :: iref
+            integer :: nci
+            logical :: flex
+            logical :: tesgrd
+            logical :: sh2
+            logical :: epsd
+            integer :: ientyp
+            double precision :: rgyh
+            double precision :: rgyp
+            integer :: idloa
+            integer :: idloz
+            integer :: idupa
+            integer :: idupz
+            integer :: myrank
+            integer :: no
+            integer :: my_mpi_comm
+            integer dimension(11,2049) :: workperprocessor
+            character dimension(100,4) :: nmath
+            character dimension(100,3) :: nmvrh
+            integer dimension(100) :: ityath
+            integer dimension(100) :: iowath
+            integer dimension(100) :: iyowath
+            integer dimension(100) :: nbdath
+            integer dimension(3,100) :: ibdath
+            integer dimension(3,100) :: iybdath
+            integer dimension(100) :: ityvrh
+            integer dimension(100) :: iclvrh
+            integer dimension(100) :: iatvrh
+            character dimension(100,4) :: seq
+            double precision dimension(2600) :: rvdw
+            double precision dimension(2600) :: sigma
+            double precision dimension(2600,3) :: gradan
+            integer dimension(18,18) :: ihbty
+            integer :: npnt
+            character dimension(10,80) :: nmml
+            double precision dimension(18,18) :: cij
+            double precision dimension(18,18) :: aij
+            double precision dimension(18,18) :: a14
+            double precision dimension(18,18) :: chb
+            double precision dimension(18,18) :: ahb
+            double precision dimension(19) :: e0to
+            double precision dimension(19) :: sgto
+            double precision dimension(19) :: rnto
+            double precision dimension(19) :: esnto
+            double precision :: conv
+            double precision :: plt
+            double precision :: slp
+            double precision :: cohb
+            integer dimension(100) :: iatrs1
+            integer dimension(100) :: iatrs2
+            integer dimension(100) :: ixatrs
+            integer dimension(100) :: ivrrs1
+            integer dimension(100) :: nvrrs
+            integer :: ntlrt
+            integer :: ntlsu
+            integer dimension(500) :: i1vrrt
+            integer dimension(500) :: i2vrrt
+            integer dimension(4800) :: iprtsu
+            integer dimension(800) :: i1rtsu
+            integer dimension(800) :: nrtsu
+            integer dimension(800) :: i1vrsu
+            integer dimension(800) :: i2vrsu
+            integer dimension(800) :: ipvrsu
+            double precision dimension(3,10) :: rfpt
+            double precision dimension(6,10) :: gbpr
+            double precision dimension(3,10) :: xrfax
+            double precision dimension(3,10) :: yrfax
+            double precision dimension(3,10) :: zrfax
+            logical dimension(800) :: fxvr
+            double precision :: eyel
+            double precision :: eyvw
+            double precision :: eyhb
+            double precision :: eyvr
+            double precision :: eysm
+            double precision :: eysl
+            double precision :: eyrg
+            double precision :: eyslh
+            double precision :: eyslp
+            double precision :: eyab
+            double precision :: eysmi
+            double precision :: eyhbi
+            double precision :: eyeli
+            double precision :: eyvwi
+            double precision dimension(800) :: gdeyvr
+            double precision dimension(800) :: gdeyrg
+            double precision dimension(800) :: gdeysl
+            double precision dimension(60) :: gdeygb
+            double precision :: wtey
+            double precision :: wtrg
+            integer dimension(800) :: iatvr
+            integer dimension(800) :: ityvr
+            integer dimension(800) :: iclvr
+            integer dimension(800) :: iorvr
+            integer dimension(800) :: imsvr1
+            integer dimension(800) :: imsvr2
+            integer dimension(2400) :: latms1
+            integer dimension(2400) :: latms2
+            integer dimension(800) :: iadvr1
+            integer dimension(800) :: iadvr2
+            integer dimension(800) :: ladvr
+            integer dimension(800) :: idvr
+            integer :: enysolct
+            character dimension(800,3) :: nmvr
+            double precision :: boxsize
+            integer :: seed
+            character*mxrs :: zimm
+            integer :: itysol
+            logical :: isolscl
+            double precision dimension(100) :: rsstrg
+            character dimension(35,4) :: rsnmcd
+            character dimension(35) :: onltcd
+            logical :: rndord
+            integer :: upchswitch
+            double precision :: bgsprob
+            integer dimension(10) :: nvwml
+            integer dimension(10) :: ivwml1
+            integer dimension(10) :: n14ml
+            integer dimension(10) :: i14ml1
+            integer dimension(2600) :: ivwat1
+            integer dimension(2600) :: ivwat2
+            integer dimension(2600) :: i14at1
+            integer dimension(2600) :: i14at2
+            integer dimension(10400) :: lvwat1
+            integer dimension(10400) :: lvwat2
+            integer dimension(10400) :: l14at
+            integer dimension(10400) :: ixatvw
+            integer dimension(10400) :: ixat14
+            double precision dimension(800) :: olvlvr
+            double precision dimension(800) :: vlvr
+            double precision dimension(800) :: axvr
+            double precision :: beta
+            double precision dimension(18,18) :: c_f
+            double precision dimension(18,18) :: a_f
+            double precision dimension(4,6) :: chb_f
+            double precision dimension(4,6) :: ahb_f
+            double precision dimension(19) :: e0to_f
+            double precision dimension(19) :: sgto_f
+            double precision dimension(19) :: rnto_f
+            double precision :: plt_f
+            double precision :: slp_f
+            double precision :: cohb_f
             common /v_sol/ vdvol,asa,asap,asah
             common /atm_r/ cgat,xbaat,ybaat,zbaat,baat,snbaat,csbaat,xtoat,ytoat,ztoat,toat,sntoat,cstoat,blat,xat,yat,zat
